curl https://api.quintai.dev/v1/events/stats \
-H "Authorization: Bearer qt_deploy_YOUR_TOKEN"
import requests
response = requests.get(
"https://api.quintai.dev/v1/events/stats",
headers={"Authorization": "Bearer qt_deploy_YOUR_TOKEN"},
)
print(response.json())
{
"total_events": 1247,
"period": "24h",
"by_action_type": {
"PROCESS_EXEC": 892,
"FILE_READ": 201,
"FILE_WRITE": 134,
"NETWORK_CONNECT": 20
},
"by_risk_level": {
"none": 980,
"low": 187,
"medium": 62,
"high": 15,
"critical": 3
}
}
Event Endpoints
Event Statistics
Get 24-hour aggregate statistics for events in your organization.
GET
/
v1
/
events
/
stats
curl https://api.quintai.dev/v1/events/stats \
-H "Authorization: Bearer qt_deploy_YOUR_TOKEN"
import requests
response = requests.get(
"https://api.quintai.dev/v1/events/stats",
headers={"Authorization": "Bearer qt_deploy_YOUR_TOKEN"},
)
print(response.json())
{
"total_events": 1247,
"period": "24h",
"by_action_type": {
"PROCESS_EXEC": 892,
"FILE_READ": 201,
"FILE_WRITE": 134,
"NETWORK_CONNECT": 20
},
"by_risk_level": {
"none": 980,
"low": 187,
"medium": 62,
"high": 15,
"critical": 3
}
}
Requires
Authorization: Bearer header with a deploy token (qt_deploy_*) or Supabase JWT.Response
Returns aggregate event statistics for the last 24 hours.curl https://api.quintai.dev/v1/events/stats \
-H "Authorization: Bearer qt_deploy_YOUR_TOKEN"
import requests
response = requests.get(
"https://api.quintai.dev/v1/events/stats",
headers={"Authorization": "Bearer qt_deploy_YOUR_TOKEN"},
)
print(response.json())
{
"total_events": 1247,
"period": "24h",
"by_action_type": {
"PROCESS_EXEC": 892,
"FILE_READ": 201,
"FILE_WRITE": 134,
"NETWORK_CONNECT": 20
},
"by_risk_level": {
"none": 980,
"low": 187,
"medium": 62,
"high": 15,
"critical": 3
}
}